> ## Documentation Index
> Fetch the complete documentation index at: https://docs.repdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Clean responses

> # Description

Clean the responses associated with any of the specified clean parameters (duplicates, incomplete, ipDuplicates).

# Body

```json
{
   "data": {
      "projectId": string,
      "types": [string]
   }
}
```

where:

- `projectId`: The id of the project. **Required**. 
- `types`: The types of cleaning that will be performed on the responses. Accepted values are `duplicates`, `incomplete` and `ipDuplicates`. **Required**.

# Response

## 204 Accepted

> Empty response

## 401 Unauthorized

> The user doesn't have permissions.

## 422 Unprocessable Entity

> ProjectId and/or types are missing.


## 500 Internal Server Error

> Error occurred while processing the request.

# Description

Clean the responses associated with any of the specified clean parameters (duplicates, incomplete, ipDuplicates).

# Body

```json theme={null}
{
   "data": {
      "projectId": string,
      "types": [string]
   }
}
```

where:

* `projectId`: The id of the project. **Required**.
* `types`: The types of cleaning that will be performed on the responses. Accepted values are `duplicates`, `incomplete` and `ipDuplicates`. **Required**.

# Response

## 204 Accepted

> Empty response

## 401 Unauthorized

> The user doesn't have permissions.

## 422 Unprocessable Entity

> ProjectId and/or types are missing.

## 500 Internal Server Error

> Error occurred while processing the request.


## OpenAPI

````yaml DELETE /responses-capture-service/v1/responses/cleanResponsesData
openapi: 3.0.3
info:
  title: SightX API
  version: 1.0.0
  description: >-
    SightX REST API documentation. Most responses are JSON; some export
    endpoints return files. API access is a paid add-on — contact
    sales@sightx.io for details.
servers:
  - url: https://auth.admin.sightx.io
    description: Authentication (Production)
  - url: https://auth.staging-admin.sightx.io
    description: Authentication (Staging)
security:
  - AuthorizationHeader: []
paths:
  /responses-capture-service/v1/responses/cleanResponsesData:
    delete:
      summary: Clean responses
      description: >-
        # Description


        Clean the responses associated with any of the specified clean
        parameters (duplicates, incomplete, ipDuplicates).


        # Body


        ```json

        {
           "data": {
              "projectId": string,
              "types": [string]
           }
        }

        ```


        where:


        - `projectId`: The id of the project. **Required**. 

        - `types`: The types of cleaning that will be performed on the
        responses. Accepted values are `duplicates`, `incomplete` and
        `ipDuplicates`. **Required**.


        # Response


        ## 204 Accepted


        > Empty response


        ## 401 Unauthorized


        > The user doesn't have permissions.


        ## 422 Unprocessable Entity


        > ProjectId and/or types are missing.



        ## 500 Internal Server Error


        > Error occurred while processing the request.
      operationId: >-
        clean-responses-delete-responses-capture-service-v1-responses-cleanresponsesdata
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Authorization token
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
            example:
              data:
                projectId: '{{projectId}}'
                types:
                  - duplicates
                  - incomplete
                  - ipDuplicates
      responses:
        '200':
          description: Successful response
        '204':
          description: Clean responses
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
      servers:
        - url: https://responses.sightx.io
components:
  securitySchemes:
    AuthorizationHeader:
      type: apiKey
      in: header
      name: Authorization
      description: Access token obtained from the m2m-token endpoint.

````